Page MenuHomePhabricator

Add a tracking category on pages that contain invalid <syntaxhighlight> attributes
Closed, ResolvedPublic

Description

SyntaxHighlight_GeSHi should auto-populate a tracking category with pages that contain invalid <syntaxhighlight> attributes such as lang="html9". This will allow editors to find and address these pages by setting lang="text" or by filing Phabricator Maniphest tasks to add support for missing languages.

Related: https://lists.wikimedia.org/pipermail/wikitech-l/2015-June/082165.html

Event Timeline

MZMcBride updated the task description. (Show Details)
MZMcBride raised the priority of this task from to Needs Triage.
MZMcBride added a project: SyntaxHighlight.
MZMcBride added subscribers: matmarex, ori, MZMcBride, Aklapper.
jeremyb-phone set Security to None.Jun 24 2015, 3:08 PM
jeremyb-phone added a subscriber: jeremyb.
jayvdb added a subscriber: jayvdb.Jun 25 2015, 9:19 PM
Krinkle moved this task from Backlog to Accepted on the SyntaxHighlight board.Jun 25 2015, 10:19 PM
Krinkle renamed this task from SyntaxHighlight_GeSHi should auto-populate a tracking category with pages that contain invalid <syntaxhighlight> attributes to Add a tracking category on pages that contain invalid <syntaxhighlight> attributes.
Krinkle triaged this task as Normal priority.

Change 221311 had a related patch set uploaded (by Ori.livneh):
Add a tracking category on pages that contain invalid <syntaxhighlight> attributes

https://gerrit.wikimedia.org/r/221311

Change 221311 merged by jenkins-bot:
Add a tracking category on pages that contain invalid <syntaxhighlight> attributes

https://gerrit.wikimedia.org/r/221311

ori closed this task as Resolved.Jul 5 2015, 5:31 PM
ori claimed this task.
TheDJ added a subscriber: TheDJ.

We should probably announce to people that the tracking category: Pages with syntax highlighting errors, is now added to pages with syntax highlighting errors.

Where can I find a list of valid values for the lang= attribute? Previously, it was possible to get a list by entering some crud value like lang="sdyvgsuydfg" and previewing; an error would be thrown, and you could click a link for a list.

Where can I find a list of valid values for the lang= attribute? Previously, it was possible to get a list by entering some crud value like lang="sdyvgsuydfg" and previewing; an error would be thrown, and you could click a link for a list.

T105399: SyntaxHighlight should warn and hint if you specify an invalid lang

Tech News: 2015-29 says: You can now see a list of pages with errors in code coloring. [4] . On nl-wiki the link to the list of pages is still red. Should we do something to fill that category?

Tech News: 2015-29 says: You can now see a list of pages with errors in code coloring. [4] . On nl-wiki the link to the list of pages is still red. Should we do something to fill that category?

Categories do not need to 'exist' to contain pages. However, a description can be helpful to newbies, even if it's empty.

This tracking category also gets added to a page if the syntax highlighting fails due to the input being larger than 102,400 bytes (cf. T104109).